<!DOCTYPE html>
<html lang="en">
<head>
     <meta charset="UTF-8">
     <meta http-equiv="X-UA-Compatible" content="IE=edge">
     <meta name="viewport" content="width=device-width, initial-scale=1.0">
     <title>Comment Detail</title>

     <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
     <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
     <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>
     <div class="container jumbotron bg-light">
          <h3 class="text-center text-info mb-4">CHI TIẾT COMMENT (BÌNH LUẬN)</h3>
          <div class="row form-group">
            <label class="col-sm-3 col-form-label"> Id: </label>
            <div class="col-sm-9">
              <input type="text" class="form-control" id="inp-id" placeholder="...">
            </div>
          </div>
          <div class="row form-group">
            <label class="col-sm-3 col-form-label"> Post ID </label>
            <div class="col-sm-9">
              <input type="text" class="form-control" id="inp-post-id">
            </div>
          </div>
          <div class="row form-group">
               <label class="col-sm-3 col-form-label"> Email </label>
               <div class="col-sm-9">
                 <input type="text" class="form-control" id="inp-Email">
               </div>
          </div>
          <div class="row form-group">
               <label class="col-sm-3 col-form-label"> Name </label>
               <div class="col-sm-9">
                 <input type="text" class="form-control" id="inp-name">
               </div>
               </div>
          <div class="row form-group">
            <label class="col-sm-3 col-form-label"> Body </label>
            <div class="col-sm-9">
              <textarea rows="5" class="form-control" placeholder="nội dung post" id="area-body">  </textarea>
            </div>
          </div>
        </div>
</body>
<script>
      "use strict";

     /*** REGION 1 - Global variables - Vùng khai báo hằng số, tham số TOÀN CỤC *
     
     /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
     $(document).ready(function(){
          onPageLoading();
     })
     /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

     //hàm xử lý việc tải trang 
     function onPageLoading(){
          //B1: đọc dữ liệu 
          var vPostIdObj = {
               postId: ""
          };
          readData(vPostIdObj);
          //B2: Kiểm Tra dữ liệu 
          var vCheck = validateData(vPostIdObj);
          if(vCheck){
                //B3: Gọi API
               $.ajax({
                    url:"https://jsonplaceholder.typicode.com" + "/comments/" + vPostIdObj.postId,
                    type: "GET", 
                    dataType: "json", 
                    success: function(responseObject){
                         console.log(JSON.stringify(responseObject));
                          //B4: Xử lý hiển thị 
                          hienThiDuLieuPost(responseObject);
                    }, 
                    error: function(ajaxContext){
                         alert(ajaxContext.responseText);
                    }
               });
          } 
     }
     /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

     //hàm đọc dữ liệu 
     function readData(paramCmtObj){
          var vUrlString = window.location.href;
          var vUrl = new URL(vUrlString);
          var vPostId = vUrl.searchParams.get("id");

          paramCmtObj.postId = vPostId;
     }

     //hàm kiểm tra dữ liệu 
     function validateData(paramCmtObj){
          if(paramCmtObj.postId ==""){
               alert("Dữ liệu cần truyền vào!!!");
               return false;
          }
          if(isNaN(paramCmtObj.postId)){
               alert("Dữ liệu truyền vào phải là số!!!");
               return false;
          }
          return true;
     }

     //hàm hiển thị dữ liệu post
     function hienThiDuLieuPost(paramPostObject){
          $("#inp-id").val(paramPostObject.id);
          $("#inp-post-id").val(paramPostObject.postId);
          $("#inp-Email").val(paramPostObject.email);
          $("#inp-name").val(paramPostObject.name);
          $("#area-body").val(paramPostObject.body);
     }
</script>
</html>